UserInfoEndpointURIBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.endpoint.UserInfoEndpointURIBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class UserInfoEndpointURIBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointURIBuilder
          org.mule.endpoint.UserInfoEndpointURIBuilder

All Implemented Interfaces:
  EndpointURIBuilder

Direct Known Subclasses:
  XmppEndpointURIBuilder

    public class UserInfoEndpointURIBuilder

extends AbstractEndpointURIBuilder

`UserInfoEndpointBuilder` builds an endpoint with the userinfo and host details. This endpoint builder is used where endpoints as of the form : xxx://ross:secret@host:1000

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`address, connectorName, endpointName, responseTransformers, transformers, userInfo`

Constructor Summary
`UserInfoEndpointURIBuilder()`

Method Summary
`protected void` | `setEndpoint(URI uri, Properties props)`

Methods inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`build, getPropertiesForURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfoEndpointURIBuilder

    public UserInfoEndpointURIBuilder()

Method Detail

### setEndpoint

    protected void setEndpoint(URI uri,
                               Properties props)
                        throws MalformedEndpointException

  Specified by:
    `setEndpoint` in class `AbstractEndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.